#ifndef CMDLINE_H
#define CMDLINE_H 1

enum {	OPT_USAGE=1,		/* usage */
		OPT_HELP,			/* display help */
		OPT_VERSION,		/* display version */
		OPT_ERROR_INVALID_OPT,	/* invalid option */
		OPT_ERROR_TOO_LONG,	/* option too long */
		OPT_ERROR_MEM		/* memory allocation */
};

#ifndef CMDLINE

/* parse */
extern int cmdline_parse( int argc, char *argv[] );

extern const char *cmdline_get_string_inc_file( void );
extern const char *cmdline_get_string_struct_name( void );
extern const char *cmdline_get_string_key_val( void );
extern const char *cmdline_get_string_key_string( void );
extern const char *cmdline_get_string_body_suffix( void );

#endif

#endif /* !CMDLINE_H */
